Index: v/trunk/surveys/survey_0e999e625e6c45867e2c64b5228c684d.rdf
===================================================================
--- /Dev/trunk/surveys/survey_0e999e625e6c45867e2c64b5228c684d.rdf	(revision 42)
+++ 	(revision )
@@ -1,51 +1,0 @@
-<?xml version="1.0" encoding="UTF-8" ?>
-<!-- Generated by RdfSerializer.php from RDF RAP.
-# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
-
-<rdf:RDF
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:ns1="http://www.survey.tool/predicates/">
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/survey/0e999e625e6c45867e2c64b5228c684d">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/survey"/>
-   <ns1:uid>0e999e625e6c45867e2c64b5228c684d</ns1:uid>
-   <ns1:title>Toodlesss</ns1:title>
-   <ns1:description>Write a helpful description for this survey here.</ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/37aeed8ba7a77dc725e0365117a83589">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/question"/>
-   <ns1:uid>37aeed8ba7a77dc725e0365117a83589</ns1:uid>
-   <ns1:title>Untitled Question</ns1:title>
-   <ns1:description>Write a question description here.</ns1:description>
-   <ns1:question_type>mc</ns1:question_type>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/answer/7a1e792921e29a239ab8359c64194ba4">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
-   <ns1:uid>7a1e792921e29a239ab8359c64194ba4</ns1:uid>
-   <ns1:title>Option 3</ns1:title>
-   <ns1:description>answerDescription1</ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/37aeed8ba7a77dc725e0365117a83589">
-   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/7a1e792921e29a239ab8359c64194ba4"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/survey/0e999e625e6c45867e2c64b5228c684d">
-   <ns1:has_question rdf:resource="http://www.survey.tool/resources/question/37aeed8ba7a77dc725e0365117a83589"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/79310e4b64a6ac69a0824a3d05e0ed86">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/question"/>
-   <ns1:uid>79310e4b64a6ac69a0824a3d05e0ed86</ns1:uid>
-   <ns1:title>Untitled Question</ns1:title>
-   <ns1:description>Write a question description here.</ns1:description>
-   <ns1:question_type>text</ns1:question_type>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/survey/0e999e625e6c45867e2c64b5228c684d">
-   <ns1:has_question rdf:resource="http://www.survey.tool/resources/question/79310e4b64a6ac69a0824a3d05e0ed86"/>
-</rdf:Description>
-
-</rdf:RDF>
Index: v/trunk/surveys/survey_71a5c2ee19f172c6f0fe22ec1bfa2083.rdf
===================================================================
--- /Dev/trunk/surveys/survey_71a5c2ee19f172c6f0fe22ec1bfa2083.rdf	(revision 42)
+++ 	(revision )
@@ -1,84 +1,0 @@
-<?xml version="1.0" encoding="UTF-8" ?>
-<!-- Generated by RdfSerializer.php from RDF RAP.
-# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
-
-<rdf:RDF
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:ns1="http://www.survey.tool/predicates/">
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/survey/71a5c2ee19f172c6f0fe22ec1bfa2083">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/survey"/>
-   <ns1:uid>71a5c2ee19f172c6f0fe22ec1bfa2083</ns1:uid>
-   <ns1:title>Awesomes.</ns1:title>
-   <ns1:description>Reallyyyy </ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/18a48af457a43d42ec438ce4d937d63b">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/question"/>
-   <ns1:uid>18a48af457a43d42ec438ce4d937d63b</ns1:uid>
-   <ns1:title>How awesome are you?</ns1:title>
-   <ns1:description><![CDATA[]]></ns1:description>
-   <ns1:question_type>scale</ns1:question_type>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/answer/5c355fdf166c581149a009561449d136">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
-   <ns1:uid>5c355fdf166c581149a009561449d136</ns1:uid>
-   <ns1:title>not so</ns1:title>
-   <ns1:description>answerDescription1</ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/18a48af457a43d42ec438ce4d937d63b">
-   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/5c355fdf166c581149a009561449d136"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/answer/de0a0a48a72d9ff03bedd2dcaa77b878">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
-   <ns1:uid>de0a0a48a72d9ff03bedd2dcaa77b878</ns1:uid>
-   <ns1:title>veery</ns1:title>
-   <ns1:description>answerDescription2</ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/18a48af457a43d42ec438ce4d937d63b">
-   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/de0a0a48a72d9ff03bedd2dcaa77b878"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/answer/bceab5827cb599a4ca5c5039bb995093">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
-   <ns1:uid>bceab5827cb599a4ca5c5039bb995093</ns1:uid>
-   <ns1:title>10</ns1:title>
-   <ns1:description>answerDescription3</ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/18a48af457a43d42ec438ce4d937d63b">
-   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/bceab5827cb599a4ca5c5039bb995093"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/survey/71a5c2ee19f172c6f0fe22ec1bfa2083">
-   <ns1:has_question rdf:resource="http://www.survey.tool/resources/question/18a48af457a43d42ec438ce4d937d63b"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/bc085d54cc7cf581c60d8f180d345598">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/question"/>
-   <ns1:uid>bc085d54cc7cf581c60d8f180d345598</ns1:uid>
-   <ns1:title>Hehehe</ns1:title>
-   <ns1:description>Write a question description here.</ns1:description>
-   <ns1:question_type>mc</ns1:question_type>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/answer/9ce96cfe6c5168e74cfa244c2894aa41">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
-   <ns1:uid>9ce96cfe6c5168e74cfa244c2894aa41</ns1:uid>
-   <ns1:title>Awesome</ns1:title>
-   <ns1:description>answerDescription1</ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/bc085d54cc7cf581c60d8f180d345598">
-   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/9ce96cfe6c5168e74cfa244c2894aa41"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/survey/71a5c2ee19f172c6f0fe22ec1bfa2083">
-   <ns1:has_question rdf:resource="http://www.survey.tool/resources/question/bc085d54cc7cf581c60d8f180d345598"/>
-</rdf:Description>
-
-</rdf:RDF>
Index: v/trunk/surveys/survey_dceea2af20c3ce6a7175dd0e96e0f2cb.rdf
===================================================================
--- /Dev/trunk/surveys/survey_dceea2af20c3ce6a7175dd0e96e0f2cb.rdf	(revision 42)
+++ 	(revision )
@@ -1,62 +1,0 @@
-<?xml version="1.0" encoding="UTF-8" ?>
-<!-- Generated by RdfSerializer.php from RDF RAP.
-# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
-
-<rdf:RDF
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:ns1="http://www.survey.tool/predicates/">
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/survey/dceea2af20c3ce6a7175dd0e96e0f2cb">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/survey"/>
-   <ns1:uid>dceea2af20c3ce6a7175dd0e96e0f2cb</ns1:uid>
-   <ns1:title>Booowaaaaa</ns1:title>
-   <ns1:description>Hyuuuu</ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/3ec967c6993db3ad8195c51b1e6652ff">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/question"/>
-   <ns1:uid>3ec967c6993db3ad8195c51b1e6652ff</ns1:uid>
-   <ns1:title>Really</ns1:title>
-   <ns1:description><![CDATA[]]></ns1:description>
-   <ns1:question_type>text</ns1:question_type>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/survey/dceea2af20c3ce6a7175dd0e96e0f2cb">
-   <ns1:has_question rdf:resource="http://www.survey.tool/resources/question/3ec967c6993db3ad8195c51b1e6652ff"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/88a3d4ff199163d4988cb3a3a1bee98d">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/question"/>
-   <ns1:uid>88a3d4ff199163d4988cb3a3a1bee98d</ns1:uid>
-   <ns1:title>How really</ns1:title>
-   <ns1:description>Write a question description here.</ns1:description>
-   <ns1:question_type>int</ns1:question_type>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/answer/ba020936fd7bc2234eb32c1cfc162ec4">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
-   <ns1:uid>ba020936fd7bc2234eb32c1cfc162ec4</ns1:uid>
-   <ns1:title>12</ns1:title>
-   <ns1:description>answerDescription1</ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/88a3d4ff199163d4988cb3a3a1bee98d">
-   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/ba020936fd7bc2234eb32c1cfc162ec4"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/answer/b85021960d992214e1a4a6fdd200c280">
-   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
-   <ns1:uid>b85021960d992214e1a4a6fdd200c280</ns1:uid>
-   <ns1:title>900</ns1:title>
-   <ns1:description>answerDescription2</ns1:description>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/question/88a3d4ff199163d4988cb3a3a1bee98d">
-   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/b85021960d992214e1a4a6fdd200c280"/>
-</rdf:Description>
-
-<rdf:Description rdf:about="http://www.survey.tool/resources/survey/dceea2af20c3ce6a7175dd0e96e0f2cb">
-   <ns1:has_question rdf:resource="http://www.survey.tool/resources/question/88a3d4ff199163d4988cb3a3a1bee98d"/>
-</rdf:Description>
-
-</rdf:RDF>