Index: Dev/trunk/classes/Application.php
===================================================================
--- Dev/trunk/classes/Application.php	(revision 56)
+++ Dev/trunk/classes/Application.php	(revision 56)
@@ -0,0 +1,30 @@
+<?php
+
+/**
+ * Description of Application
+ *
+ * @author fpvanagthoven
+ */
+class Application {
+
+    private $title;
+    private $description;
+    private $style;
+
+    public function __construct() {
+        
+    }
+
+    public static function createApplicationButton() {
+        ?>
+        <form action="applicationcreation.php" method="post">
+
+            <input type="submit" value="Create new application" class="surveyButton bigSurveyButton" />
+
+        </form>
+
+        <?php
+    }
+
+}
+?>
Index: Dev/trunk/classes/Session.php
===================================================================
--- Dev/trunk/classes/Session.php	(revision 56)
+++ Dev/trunk/classes/Session.php	(revision 56)
@@ -0,0 +1,33 @@
+<?php
+
+/**
+ * Description of Session
+ *
+ * @author fpvanagthoven
+ */
+class Session {
+
+    private $name;
+    private $description;
+    private $date;
+    private $application;
+    private $pipeline;
+
+    public function __construct() {
+        
+    }
+
+    public static function createSessionButton() {
+        ?>
+
+        <form action="sessioncreation.php" method="post">
+
+            <input type="submit" value="Create new session" class="surveyButton bigSurveyButton" />
+
+        </form>
+
+        <?php
+    }
+
+}
+?>
Index: Dev/trunk/classes/Survey.php
===================================================================
--- Dev/trunk/classes/Survey.php	(revision 55)
+++ Dev/trunk/classes/Survey.php	(revision 56)
@@ -1,4 +1,3 @@
 <?php
-
 /*
  * To change this template, choose Tools | Templates
@@ -12,11 +11,11 @@
  */
 class Survey {
+
     public $id;
     public $title;
     public $description;
     public $questions;
-    
-    public function __construct($id, $title, $description = null)
-    {
+
+    public function __construct($id, $title, $description = null) {
         $this->id = $id;
         $this->title = $title;
@@ -24,42 +23,70 @@
         $this->questions = array();
     }
-   
-    public static function getSurvey($info)
-    {
+
+    public static function getSurvey($info) {
         $id = $info['surveyID'];
         $title = $info['surveyTitle'];
         $description = $info['surveyDescription'];
-       
+
         $survey = new Survey($id, $title, $description);
-        
+
         $numQ = 1; //number questions
-        while (isset($info['questionTitle' . $numQ]))
-        {
+        while (isset($info['questionTitle' . $numQ])) {
             $id = $info['questionID' . $numQ];
             $title = $info['questionTitle' . $numQ];
             $type = $info['questionType' . $numQ];
             $description = $info['questionDescription' . $numQ];
-                    
+
             $question = new Question($id, $title, $type, $description);
 
             $numA = 1; //number answers
-            while (isset($info['q' . $numQ . 'ans' . $numA]))
-            {
+            while (isset($info['q' . $numQ . 'ans' . $numA])) {
                 $answer = $info['q' . $numQ . 'ans' . $numA];
                 $question->answers[$numA] = $answer;
-                
+
                 $numA++;
             }
-            
-            
+
+
             $survey->questions[$numQ] = $question;
-            
+
             $numQ++;
         }
-        
+
         return $survey;
     }
-    
+
+    public static function newSurveyButton() {
+        ?>
+
+        <form action="surveycreation.php" method="post">
+
+            <input type="submit" value="Create new survey" class="surveyButton bigSurveyButton" />
+
+        </form>
+
+        <?php
+    }
+
+    /**
+     *
+     * @param Survey $surveys An array of surveys
+     */
+    public static function loadSurveyButton($surveys) {
+        ?>
+        <form id="loadForm" action="surveycreation.php" method="post">
+            <input type="button" onclick="loadSurvey()" value="Load survey" class="surveyButton bigSurveyButton" />
+        </form>
+        <br/>
+        <select id="surveysToLoad" size="1000">
+            <?php
+            foreach ($surveys as $survey) {
+                ?><option value='<?php echo $survey->id; ?>'><?php echo $survey->title; ?></option><?php
+        }
+            ?>
+        </select>
+        <?php
+    }
+
 }
-
 ?>
Index: Dev/trunk/classes/SurveyButton.php
===================================================================
--- Dev/trunk/classes/SurveyButton.php	(revision 55)
+++ 	(revision )
@@ -1,51 +1,0 @@
-<?php
-/*
- * To change this template, choose Tools | Templates
- * and open the template in the editor.
- */
-
-/**
- * Description of NewSurveyButton
- *
- * @author fpvanagthoven
- */
-class SurveyButton {
-
-    public function __construct() {
-        
-    }
-
-    public static function newSurveyButton() {
-        ?>
-
-        <form action="surveycreation.php" method="post">
-
-            <input type="submit" value="Create new survey" class="surveyButton bigSurveyButton" />
-
-        </form>
-
-        <?php
-    }
-
-    /**
-     *
-     * @param Survey $surveys An array of surveys
-     */
-    public static function loadSurveyButton($surveys) {
-        ?>
-        <form id="loadForm" action="surveycreation.php" method="post">
-            <input type="button" onclick="loadSurvey()" value="Load survey" class="surveyButton bigSurveyButton" />
-        </form>
-        <br/>
-        <select id="surveysToLoad" size="1000">
-            <?php
-            foreach ($surveys as $survey) {
-                ?><option value='<?php echo $survey->id; ?>'><?php echo $survey->title; ?></option><?php
-        }
-            ?>
-        </select>
-        <?php
-    }
-
-}
-?>