Index: /Dev/trunk/applicationcreation.php
===================================================================
--- /Dev/trunk/applicationcreation.php	(revision 57)
+++ /Dev/trunk/applicationcreation.php	(revision 58)
@@ -1,4 +1,7 @@
 <?php
 require 'classes/master.php';
+
+if (is_null($_SESSION['username']))
+    redirect('index.php');
 ?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
Index: /Dev/trunk/classes/ApplicationMenu.php
===================================================================
--- /Dev/trunk/classes/ApplicationMenu.php	(revision 57)
+++ /Dev/trunk/classes/ApplicationMenu.php	(revision 58)
@@ -9,9 +9,16 @@
 
     public function __construct() {
+        ?> <div id="menu2" class="menu"> <?php
+        ?> <div class="menuButtons"> <?php
         ApplicationMenu::createApplicationButton();
+        ApplicationMenu::loadApplicationButton();
+        ?> </div> <?php
+        ApplicationMenu::loadApplicationList(null);
+        ?> </div> <?php
     }
 
     public static function createApplicationButton() {
         ?>
+
         <form action="applicationcreation.php" method="post">
 
@@ -23,4 +30,31 @@
     }
 
+    /**
+     *
+     * @param Survey $surveys An array of surveys
+     */
+    public static function loadApplicationButton() {
+        ?>
+        <form id="loadApplicationForm" action="applicationcreation.php" method="post">
+            <input type="button" onclick="loadApplication()" value="Load/Edit application" class="surveyButton bigSurveyButton" />
+        </form>
+
+
+        <?php
+    }
+
+    public static function loadApplicationList($applications) {
+        ?>
+        <select id="applicationsToLoad" class="toLoad" size="1000">
+            <?php
+            foreach ($applications as $application) {
+                ?><option value='<?php echo $application->id; ?>'><?php echo $application->name; ?></option><?php
+        }
+            ?>
+        </select>
+        <?php
+
+    }
+
 }
 ?>
Index: /Dev/trunk/classes/SessionCreationTool.php
===================================================================
--- /Dev/trunk/classes/SessionCreationTool.php	(revision 58)
+++ /Dev/trunk/classes/SessionCreationTool.php	(revision 58)
@@ -0,0 +1,12 @@
+<?php
+
+/**
+ * Description of SessionCreationTool
+ *
+ * @author fpvanagthoven
+ */
+class SessionCreationTool {
+    //put your code here
+}
+
+?>
Index: /Dev/trunk/classes/SessionMenu.php
===================================================================
--- /Dev/trunk/classes/SessionMenu.php	(revision 57)
+++ /Dev/trunk/classes/SessionMenu.php	(revision 58)
@@ -9,5 +9,11 @@
 
     public function __construct() {
+        ?> <div id="menu1" class="menu"> <?php
+        ?> <div class="menuButtons"> <?php
         SessionMenu::createSessionButton();
+        SessionMenu::loadSessionButton();
+        ?> </div> <?php
+        SessionMenu::loadSessionList(null);
+        ?> </div> <?php
     }
 
@@ -24,4 +30,24 @@
     }
 
+    public static function loadSessionButton() {
+        ?>
+        <form id="loadSessionForm" action="sessioncreation.php" method="post">
+            <input type="button" onclick="loadSession()" value="Load/Edit session" class="surveyButton bigSurveyButton" />
+        </form>
+        <?php
+    }
+
+    public static function loadSessionList($sessions) {
+        ?>
+        <select class="toLoad" size="1000">
+            <?php
+            foreach ($sessions as $session) {
+                ?><option value='<?php echo $session->id; ?>'><?php echo $session->title; ?></option><?php
+        }
+            ?>
+        </select>
+        <?php
+    }
+
 }
 ?>
Index: /Dev/trunk/classes/SurveyMenu.php
===================================================================
--- /Dev/trunk/classes/SurveyMenu.php	(revision 57)
+++ /Dev/trunk/classes/SurveyMenu.php	(revision 58)
@@ -13,6 +13,11 @@
 
     public function __construct($surveys) {
+        ?> <div id="menu3" class="menu"> <?php
+        ?> <div class="menuButtons"> <?php
         SurveyMenu::newSurveyButton();
-        SurveyMenu::loadSurveyButton($surveys);
+        SurveyMenu::loadSurveyButton();
+        ?> </div> <?php
+        SurveyMenu::loadSurveyList($surveys);
+        ?> </div> <?php
     }
 
@@ -33,11 +38,15 @@
      * @param Survey $surveys An array of surveys
      */
-    public static function loadSurveyButton($surveys) {
+    public static function loadSurveyButton() {
         ?>
         <form id="loadForm" action="surveycreation.php" method="post">
-            <input type="button" onclick="loadSurvey()" value="Load survey" class="surveyButton bigSurveyButton" />
+            <input type="button" onclick="loadSurvey()" value="Load/Edit survey" class="surveyButton bigSurveyButton" />
         </form>
-        <br/>
-        <select id="surveysToLoad" size="1000">
+        <?php
+    }
+
+    public static function loadSurveyList($surveys) {
+        ?>
+        <select id="surveysToLoad" class="toLoad" size="1000">
             <?php
             foreach ($surveys as $survey) {
@@ -47,4 +56,5 @@
         </select>
         <?php
+
     }
 
Index: /Dev/trunk/classes/master.php
===================================================================
--- /Dev/trunk/classes/master.php	(revision 57)
+++ /Dev/trunk/classes/master.php	(revision 58)
@@ -10,4 +10,10 @@
 // Determine our absolute document root
 define('DOC_ROOT', realpath(dirname(__FILE__) . '/../'));
+
+/* Session */
+session_name("cpsft");   // Set a session name
+session_start();  // Start the session
+
+
 
 function __autoload($class_name) {
Index: /Dev/trunk/css/style.css
===================================================================
--- /Dev/trunk/css/style.css	(revision 57)
+++ /Dev/trunk/css/style.css	(revision 58)
@@ -97,13 +97,5 @@
 }
 
-#menu {
-    width: 20em;
-    margin: auto;
-    padding: 3em;
-    text-align: center;
-    background-color: #E3E3E3;
-    -moz-border-radius: 15px;
-    border-radius: 15px;
-}
+
 
 /* ################################################################## 
@@ -251,6 +243,20 @@
    ===================== STYLESHEET OF GLORY ======================== */
 
-#surveysToLoad {
-    width: 20em;
+.menu {
+    width: 30em;
+    margin: 1em auto 0 auto;
+    padding: 2em;
+    text-align: center;
+    background-color: #E3E3E3;
+    -moz-border-radius: 15px;
+    border-radius: 15px; 
+}
+
+.menuButtons {
+    float: left;
+}
+
+.toLoad {
+    width: 23em;
     height: 10em;
 }
Index: /Dev/trunk/index.php
===================================================================
--- /Dev/trunk/index.php	(revision 57)
+++ /Dev/trunk/index.php	(revision 58)
@@ -33,5 +33,5 @@
 
             <div id="content">
-                <div id="menu">
+                <div class="menu">
                     <form action="mainmenu.php" method="POST">
                         <h3>Username</h3>
Index: /Dev/trunk/mainmenu.php
===================================================================
--- /Dev/trunk/mainmenu.php	(revision 57)
+++ /Dev/trunk/mainmenu.php	(revision 58)
@@ -10,6 +10,9 @@
         if ($user_exists) {
             $correct_password = $userDBI->checkUserPassword($_POST);
+            /* session remembers login */
             if (!$correct_password)
                 die("The password you entered is not correct!");
+            else
+                $_SESSION['username'] = $_POST['username'];
         }
         else
@@ -17,5 +20,6 @@
     }
 }
-
+else if (is_null($_SESSION['username']))
+    redirect('index.php');
 
 $surveys = array();
@@ -47,11 +51,11 @@
 
             <div id="content">
-                <div id="menu">                
-                    <?php
-                    new SessionMenu();
-                    new ApplicationMenu();
-                    new SurveyMenu($surveys);
-                    ?>
-                </div>
+                                
+                    <?php new SessionMenu(); ?>
+
+                    <?php new ApplicationMenu(); ?>
+                
+                    <?php new SurveyMenu($surveys); ?>
+
             </div>
         </div>
Index: /Dev/trunk/register.php
===================================================================
--- /Dev/trunk/register.php	(revision 57)
+++ /Dev/trunk/register.php	(revision 58)
@@ -16,5 +16,5 @@
         <div id="wrapper">
             <div id="content">
-                <div id="menu">
+                <div class="menu">
                     <form action="index.php" method="POST"><br/>
                         <h3>Username</h3>
Index: /Dev/trunk/sessioncreation.php
===================================================================
--- /Dev/trunk/sessioncreation.php	(revision 57)
+++ /Dev/trunk/sessioncreation.php	(revision 58)
@@ -1,4 +1,7 @@
 <?php
 require 'classes/master.php';
+
+if (is_null($_SESSION['username']))
+    redirect('index.php');
 ?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
@@ -19,5 +22,5 @@
             <div id="content">
                 <?php
-                
+                    new SessionCreationTool();
                 ?>
             </div>
Index: /Dev/trunk/survey.php
===================================================================
--- /Dev/trunk/survey.php	(revision 57)
+++ /Dev/trunk/survey.php	(revision 58)
@@ -1,4 +1,7 @@
 <?php
 require 'classes/master.php';
+
+if (is_null($_SESSION['username']))
+    redirect('index.php');
 
 if (isset($_GET['id']))
Index: /Dev/trunk/surveycreation.php
===================================================================
--- /Dev/trunk/surveycreation.php	(revision 57)
+++ /Dev/trunk/surveycreation.php	(revision 58)
@@ -1,4 +1,7 @@
 <?php
 require 'classes/master.php';
+
+if (is_null($_SESSION['username']))
+    redirect('index.php');
 
 $savedSurvey = null;