Index: Dev/trunk/css/awesome.css
===================================================================
--- Dev/trunk/css/awesome.css	(revision 59)
+++ Dev/trunk/css/awesome.css	(revision 59)
@@ -0,0 +1,362 @@
+/* 
+    Document   : style
+    Created on : 12-jul-2011, 15:12:02
+    Author     : fpvanagthoven
+    Description:
+        Purpose of the stylesheet follows.
+*/
+
+/* 
+   TODO customize this sample style
+   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
+*/
+
+h1 {
+    width: 100%;
+    text-align: center;
+    color: white;
+    text-shadow: #888 0px 0px 1em;
+    margin: 0 0 0.1em 0;
+}
+
+h2 {
+    margin: 0;
+    font-size: larger;
+}
+
+h3 {
+    margin: 0;
+    font-size: small;
+    font-weight: normal;
+    color: #333;
+}
+
+legend {
+    padding-left: 0em;
+    color: #fff;
+    text-shadow: #000 0px 0px .4em;
+}
+
+fieldset {
+    background-color: #aeb2b3;
+    border: 1px solid #fff;
+    -moz-border-radius: 15px;
+    border-radius: 15px;
+    margin-bottom: 2em;
+    padding: 0 1em 1em 1em;
+    -moz-box-shadow: 2px 2px 1px #888;
+    -webkit-box-shadow: 2px 2px 1px #888;
+    box-shadow: 2px 2px 1px #888;
+}
+html {
+    background-image: url('../images/bg/blueishgridblock.png');
+    height: 100%;
+}
+
+root { 
+    display: block;
+}
+
+body {
+    font-family: sans-serif;
+    background-image: url('../images/bg/blueishgrid.png');
+    background-repeat: repeat-x;
+    margin: 0;
+    padding: 0;
+    height: 100%;
+}
+
+input {
+    background-color: #c6c6c6;
+    border: 1px solid #888;
+}
+
+textarea {
+    background-color: #c6c6c6;
+    border: 1px solid #888;
+}
+
+select {
+    background-color: #c6c6c6;
+    border: 1px solid #888;
+}
+
+#wrapper {
+    width: 80%;
+    min-width: 570px;
+    margin: auto;
+}
+
+#header {
+    height: 4em;
+    background-color: transparent;
+}
+
+#logo{
+    background-image: url('../images/headlogo.png');
+    background-position: top center;
+    background-repeat: no-repeat;
+    font-size: 2em;
+    font-weight: bold;
+    text-align: center;
+    line-height: 2em;
+    text-shadow: #555 0px 0px .2em;
+    height: 189px;
+}
+
+#logo a {
+    text-decoration: none;
+    color: #ddd;
+}
+
+#logo a:hover {
+    color: #fff;
+}
+
+#content {
+    position: relative;
+    width: 100%;
+    padding: 2em 0;
+}
+
+
+
+/* ################################################################## 
+   ===================== STYLESHEET OF GLORY ======================== */
+
+#surveyCreation {
+    min-height: 10em;
+    background-image: url('../images/bg/graygradient.png');
+    background-repeat: repeat-x;
+    background-color: #aeb2b3;
+    -moz-border-radius: 15px;
+    border-radius: 15px;
+    -moz-box-shadow: 2px 2px 2px #888;
+    -webkit-box-shadow: 2px 2px 2px #888;
+    box-shadow: 2px 2px 2px #888;
+    padding: 2em;
+    border: 1px solid white;
+}
+
+#surveyHead {
+    position: relative;
+    width: 100%;
+}
+
+#surveyTitle {
+    width: 17em;
+    font-size: large;
+    color: #555;
+}
+
+#surveyTitle:hover {
+    color: black;
+}
+
+#surveyDescription {
+    display: block;
+    width: 30em;
+    max-width: 30em;
+    font-family: sans-serif;
+    color: #555;
+}
+
+#timeStamp {
+    position: absolute;
+    color: #333;
+    font-size: small;
+    right: 6em;
+    top: 0;
+    line-height: 2.3em;
+}
+
+#surveySaveButton {
+    position: absolute;
+    top: 0;
+    right: 0;
+    width: 5em;
+}
+
+#surveyDescription:hover {
+    color: black;
+}
+
+#surveyLink {
+    position: absolute;
+    top: -2em;
+    right: 0;
+    font-size: x-small;
+    color: #333;
+    width: 30em;
+    border-color: transparent;
+    background-color: transparent;
+}
+
+#questionsDiv {
+    margin-top: 2em;
+}
+
+.answersDiv {
+    margin-left: 0.5em;
+}
+
+#submitSurvey {
+    display: block;
+    height: 3em;
+    width: 10em;
+    margin-top: 2em;
+    background-color: #aeb2b3;
+    border: 1px solid white;
+}
+
+#submitSurvey:hover {
+    background-color: #e3eff3;
+    color: #111;
+    border-color: deepskyblue;
+}
+
+#submitSurvey:active {
+    background-color: #fff;
+    border-style: inset;
+    border-color: orange;
+}
+
+#addQuestionButton {
+    margin-top: 1em;
+    width: 20em;
+}
+
+#addOpt {
+    margin-left: 1em;
+}
+
+
+.surveyButton {
+    color: #444;
+    font-weight: bold;
+    background-color: transparent;
+    border: 1px solid #555;
+    -moz-border-radius: 6px;
+    border-radius: 6px;
+}
+
+.bigSurveyButton {
+    margin-top: 1px;
+    height: 3em;
+    width: 12em;
+}
+
+.surveyButton:hover {
+    background-color: #e3eff3;
+    color: #111;
+    border-color: deepskyblue;
+}
+
+.surveyButton:active {
+    background-color: #fff;
+    border-style: inset;
+    border-color: orange;
+}
+
+.question {  
+    margin-top: 3em;
+    border-top: 1px solid #ddd;
+    text-shadow: #fff 0px 0px 1px;
+}
+
+.questionTable td{
+    width: 8em;
+}
+
+.questionTable th{
+    text-align: left;
+}
+
+label {
+    font-size: small;
+    font-weight: bold;
+    color: #555;
+}
+
+
+
+/* ################################################################## 
+   ===================== STYLESHEET OF GLORY ======================== */
+
+.menu {
+    width: 30em;
+    margin: 1em auto 0 auto;
+    padding: 2em;
+    text-align: center;
+    background-image: url('../images/bg/graygradient.png');
+    background-repeat: repeat-x;
+    background-color: #aeb2b3;
+    -moz-border-radius: 15px;
+    border-radius: 15px; 
+    border: 1px solid white;
+}
+
+.menuButtons {
+    float: left;
+}
+
+.toLoad {
+    background-color: #c6c6c6;
+    width: 23em;
+    height: 10em;
+}
+
+/* ################################################################## 
+   ===================== STYLESHEET OF GLORY ======================== */
+
+.topMargin {
+    margin-top: 2em;
+}
+
+.leftPadding {
+    padding-left: 2em;
+}
+
+.noPadding {
+    padding: 0;
+}
+
+.centerBoxed {
+    margin: 1em auto;
+    width: 30em;
+    text-align: center;
+    padding: 0 1em;
+    font-size: small;
+    color: white;
+    /*    border: 1px solid gray;*/
+}
+
+/* ################################################################## 
+   ===================== STYLESHEET OF GLORY ======================== */
+
+.answerBox {
+    padding-left: 1em;
+}
+
+.textBox {
+    width: 20em;
+}
+
+.intBox {
+    width: 5em;
+    margin: 0 .3em;
+    border: 1px solid #abadb3;
+}
+
+.scaleLabel {
+    display: inline;
+    color: #333;
+}
+
+.questionTitle {
+
+}
+
+.questionDescription {
+    font-size: small;
+}