Index: Dev/trunk/classes/ApplicationMenu.php
===================================================================
--- Dev/trunk/classes/ApplicationMenu.php	(revision 59)
+++ Dev/trunk/classes/ApplicationMenu.php	(revision 60)
@@ -25,5 +25,5 @@
         <form action="applicationcreation.php" method="post">
 
-            <input type="submit" value="Create new application" class="surveyButton bigSurveyButton" />
+            <input type="submit" value="New" class="surveyButton bigSurveyButton" />
 
         </form>
@@ -39,5 +39,5 @@
         ?>
         <form id="loadApplicationForm" action="applicationcreation.php" method="post">
-            <input type="button" onclick="loadApplication()" value="Load/Edit application" class="surveyButton bigSurveyButton" />
+            <input type="button" onclick="loadApplication()" value="Load / Edit" class="surveyButton bigSurveyButton" />
         </form>
 
Index: Dev/trunk/classes/Menu.php
===================================================================
--- Dev/trunk/classes/Menu.php	(revision 59)
+++ Dev/trunk/classes/Menu.php	(revision 60)
@@ -18,5 +18,5 @@
     public function menuTitle() {
         ?>
-        <legend><?php echo $this->title; ?></legend>
+        <legend><h2><?php echo $this->title; ?></h2></legend>
         <?php
     }
Index: Dev/trunk/classes/SessionMenu.php
===================================================================
--- Dev/trunk/classes/SessionMenu.php	(revision 59)
+++ Dev/trunk/classes/SessionMenu.php	(revision 60)
@@ -6,8 +6,9 @@
  * @author fpvanagthoven
  */
-class SessionMenu {
+class SessionMenu extends Menu{
 
     public function __construct() {
-        ?> <div id="menu1" class="menu"> <?php
+        ?> <fieldset class="menu"> <?php
+        parent::__construct('Session');
         ?> <div class="menuButtons"> <?php
         SessionMenu::createSessionButton();
@@ -16,5 +17,5 @@
         ?> </div> <?php
         SessionMenu::loadSessionList(null);
-        ?> </div> <?php
+        ?></fieldset><?php
     }
 
@@ -24,5 +25,5 @@
         <form action="sessioncreation.php" method="post">
 
-            <input type="submit" value="Create new session" class="surveyButton bigSurveyButton" />
+            <input type="submit" value="New" class="surveyButton bigSurveyButton" />
 
         </form>
@@ -34,5 +35,5 @@
         ?>
         <form id="loadSessionForm" action="sessioncreation.php" method="post">
-            <input type="button" onclick="loadSession()" value="Load/Edit session" class="surveyButton bigSurveyButton" />
+            <input type="button" onclick="loadSession()" value="Load / Edit" class="surveyButton bigSurveyButton" />
         </form>
         <?php
@@ -42,5 +43,5 @@
         ?>
         <form action="session.php" method="post">
-            <input type="button" onclick="startSession()" value="Start session" class="surveyButton bigSurveyButton" />
+            <input type="button" onclick="startSession()" value="Start" class="surveyButton bigSurveyButton" />
         </form>
         <?php
Index: Dev/trunk/classes/SurveyMenu.php
===================================================================
--- Dev/trunk/classes/SurveyMenu.php	(revision 59)
+++ Dev/trunk/classes/SurveyMenu.php	(revision 60)
@@ -10,15 +10,16 @@
  * @author fpvanagthoven
  */
-class SurveyMenu {
+class SurveyMenu extends Menu {
 
     public function __construct($surveys) {
-        ?> <div id="menu3" class="menu"> <?php
+        ?> <fieldset class="menu"> <?php
+        parent::__construct('Survey');
         ?> <div class="menuButtons"> <?php
         SurveyMenu::newSurveyButton();
         SurveyMenu::loadSurveyButton();
-        SurveyMenu::deleteSurveyButton();
+//        SurveyMenu::deleteSurveyButton();
         ?> </div> <?php
         SurveyMenu::loadSurveyList($surveys);
-        ?> </div> <?php
+        ?> </fieldset> <?php
     }
 
@@ -28,5 +29,5 @@
         <form action="surveycreation.php" method="post">
 
-            <input type="submit" value="Create new survey" class="surveyButton bigSurveyButton" />
+            <input type="submit" value="New" class="surveyButton bigSurveyButton" />
 
         </form>
@@ -38,5 +39,5 @@
         ?>
         <form id="loadForm" action="surveycreation.php" method="post">
-            <input type="button" onclick="loadSurvey()" value="Load/Edit survey" class="surveyButton bigSurveyButton" />
+            <input type="button" onclick="loadSurvey()" value="Load / Edit" class="surveyButton bigSurveyButton" />
         </form>
         <?php