Index: Dev/trunk/classes/ApplicationMenu.php
===================================================================
--- Dev/trunk/classes/ApplicationMenu.php	(revision 64)
+++ Dev/trunk/classes/ApplicationMenu.php	(revision 65)
@@ -9,5 +9,4 @@
 
     public function __construct() {
-        
         ?><fieldset class="menu"><?php
         parent::__construct('Application');
@@ -50,11 +49,12 @@
         <select id="applicationsToLoad" class="toLoad" size="1000">
             <?php
-            foreach ($applications as $application) {
-                ?><option value='<?php echo $application->id; ?>'><?php echo $application->name; ?></option><?php
+            if (!empty($applications)) {
+                foreach ($applications as $application) {
+                    ?><option value='<?php echo $application->id; ?>'><?php echo $application->name; ?></option><?php
+            }
         }
             ?>
         </select>
         <?php
-
     }
 
Index: Dev/trunk/classes/SessionCreationTool.php
===================================================================
--- Dev/trunk/classes/SessionCreationTool.php	(revision 64)
+++ Dev/trunk/classes/SessionCreationTool.php	(revision 65)
@@ -42,12 +42,12 @@
         <script type="text/javascript">
             var surveys = new Array();
-                                                                                    
+                                                                                                                    
             init();
-                                                                                                
+                                                                                                                                
             function init() {
                 loadSurveys();
                 loadApplications();
             }
-                                                                                                
+                                                                                                                                
             function loadSurveys() {
         <?php
@@ -62,9 +62,9 @@
         ?>
             }
-                                                                                    
+                                                                                                                    
             function loadApplications() {
-                                                                                        
-            }
-                                                                                    
+                                                                                                                        
+            }
+                                                                                                                    
             function Survey(title, id)
             {
@@ -72,12 +72,13 @@
                 this.id = id;
             }
-                                                                                    
+                                                                                                                    
             // =============================================================
-                                                                                    
+                                                                                                                    
             function addSurvey() {
                 var surveyList = document.createElement("select");
-                surveyList.setAttribute("size", "1000");
-                surveyList.className = "toLoad";
-                
+                surveyList.size = 1000;
+                surveyList.style.height = "10em";
+                surveyList.style.width = "15em";
+                                                
                 for (var i = 0; i < surveys.length; i++) 
                 {
@@ -87,11 +88,13 @@
                     surveyList.appendChild(option);
                 }
-                                                                                        
+
+                                                
+
                 var sessionCreation = document.getElementById("sessionCreationForm");
                 var pipelineOptions = document.getElementById("pipelineOptions");
-                                                                                        
+                                                                                                                        
                 sessionCreation.replaceChild(surveyList, pipelineOptions);
             }
-                                                                                            
+                                                                                                                            
         </script>
         <?php
@@ -120,14 +123,54 @@
     private function pipeline() {
         ?>
-        <h2 id="pipelineHead">Pipeline</h2>
-        <div id="pipeline" class="padding2em">
-            <i>-Empty- </i>
+        <div id="pipelineWrapper">
+            <h2 class="pipelineHead">Pipeline</h2>
+            <?php $this->pipelineSelect(); ?>
+            <div id="pipelineOptions">
+                <?php
+                $this->addDashboardToPipelineButton();
+                ?>
+            </div>
         </div>
-        <div id="pipelineOptions">
+        <div id="surveysApplicationsWrapper">
+            <div id="surveysForPipelineWrapper">
+                <h2 class="pipelineHead">Surveys</h2>
+                <?php $this->surveysSelect(); ?>
+            </div>
+            <div id="applicationsForPipelineWrapper">
+                <h2 class="pipelineHead">Applications</h2>
+                <?php $this->applicationsSelect(); ?>
+            </div>
+        </div>
+        <?php
+    }
+
+    private function pipelineSelect() {
+        ?>
+        <select id="pipeline" size="5">
+
+        </select>
+        <?php
+    }
+
+    private function surveysSelect() {
+        ?>
+        <select size="5" class="width100p">
             <?php
-            $this->addSurveyToPipelineButton();
-            $this->addApplicationToPipelineButton();
-            $this->addDashboardToPipelineButton();
-            ?></div>
+            foreach ($this->surveys as $survey) {
+                ?>
+                <option value="<?php echo $survey->id; ?>">
+                    <?php echo $survey->title; ?>
+                </option>
+                <?php
+            }
+            ?>
+        </select>
+        <?php
+    }
+
+    private function applicationsSelect() {
+        ?>
+        <select size="5" class="width100p">
+        </select>
         <?php
     }
@@ -135,5 +178,5 @@
     private function addSurveyToPipelineButton() {
         ?>
-        <input type="button" id="surveyToPipeline" class="surveyButton nextLine pipelineButton leftAlign leftPadding1" value="+ Survey" onclick="addSurvey()"/>
+        <input type="button" id="surveyToPipeline" class="surveyButton pipelineButton leftAlign leftPadding1" value="+ Survey" onclick="addSurvey()"/>
         <?php
     }
@@ -141,5 +184,5 @@
     private function addApplicationToPipelineButton() {
         ?>
-        <input type="button" class="surveyButton nextLine pipelineButton leftAlign leftPadding1" value="+ Application" />
+        <input type="button" class="surveyButton pipelineButton leftAlign leftPadding1" value="+ Application" />
         <?php
     }
Index: Dev/trunk/classes/SessionMenu.php
===================================================================
--- Dev/trunk/classes/SessionMenu.php	(revision 64)
+++ Dev/trunk/classes/SessionMenu.php	(revision 65)
@@ -6,5 +6,5 @@
  * @author fpvanagthoven
  */
-class SessionMenu extends Menu{
+class SessionMenu extends Menu {
 
     public function __construct() {
@@ -52,6 +52,8 @@
         <select class="toLoad" size="1000">
             <?php
-            foreach ($sessions as $session) {
-                ?><option value='<?php echo $session->id; ?>'><?php echo $session->title; ?></option><?php
+            if (!empty($sessions)) {
+                foreach ($sessions as $session) {
+                    ?><option value='<?php echo $session->id; ?>'><?php echo $session->title; ?></option><?php
+            }
         }
             ?>