Index: /Dev/trunk/applicationcreation.php
===================================================================
--- /Dev/trunk/applicationcreation.php	(revision 65)
+++ /Dev/trunk/applicationcreation.php	(revision 66)
@@ -12,5 +12,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
             <title>Application Creation</title>
-            <link rel="stylesheet" type="text/css" href="css/style.css" />
+            <?php new StyleSheet(); ?>
     </head>
     <body>
@@ -22,5 +22,5 @@
             <div id="content">
                 <?php
-                
+                    new ApplicationCreationTool();
                 ?>
             </div>
Index: /Dev/trunk/classes/ApplicationCreationTool.php
===================================================================
--- /Dev/trunk/classes/ApplicationCreationTool.php	(revision 66)
+++ /Dev/trunk/classes/ApplicationCreationTool.php	(revision 66)
@@ -0,0 +1,72 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * Description of ApplicationCreationTool
+ *
+ * @author fpvanagthoven
+ */
+class ApplicationCreationTool {
+
+    private $application;
+
+    public function __construct($application = null) {
+        $this->application = $application;
+        
+        $this->javascript();
+        if(!empty($_POST))
+            redirect('mainmenu.php');
+        ?>
+        <div class="creation">
+            <form id="applicationCreationForm" action="" method="post">
+                <?php
+                $this->title();
+                $this->description();
+                
+                $this->done();
+                ?>
+            </form>
+        </div>
+        <?php
+    }
+    
+    private function javascript() {
+        ?>
+        <script type="text/javascript" src="js/creation.js"></script>
+        <script language="JavaScript" type="text/javascript">
+
+        </script>
+        <?php
+    }
+
+    private function title() {
+        if (isset($this->application->title))
+            $value = $this->application->title;
+        else
+            $value = 'Untitled Application';
+        ?>
+        <input type="text" id="applicationTitle" class="titleBox" name="applicationTitle" value="<?php echo $value; ?>" onblur="handleBlur(this)" onfocus="handleFocus(this)" />
+        <?php
+    }
+
+    private function description() {
+        if (isset($this->application->description))
+            $value = $this->application->description;
+        else
+            $value = 'Write a description for this application here.';
+        ?>
+        <textarea id="applicationDescription" class="descriptionBox" name="applicationDescription" onblur="handleBlur(this)" onfocus="handleFocus(this)"><?php echo $value; ?></textarea>
+        <?php
+    }
+    
+    private function done() {
+        ?>
+        <input type="submit" class="surveyButton" value="Done" />
+        <?php
+    }
+
+}
+?>
Index: /Dev/trunk/classes/SessionCreationTool.php
===================================================================
--- /Dev/trunk/classes/SessionCreationTool.php	(revision 65)
+++ /Dev/trunk/classes/SessionCreationTool.php	(revision 66)
@@ -42,12 +42,12 @@
         <script type="text/javascript">
             var surveys = new Array();
-                                                                                                                    
+                                                                                                                                    
             init();
-                                                                                                                                
+                                                                                                                                                
             function init() {
                 loadSurveys();
                 loadApplications();
             }
-                                                                                                                                
+                                                                                                                                                
             function loadSurveys() {
         <?php
@@ -62,9 +62,9 @@
         ?>
             }
-                                                                                                                    
+                                                                                                                                    
             function loadApplications() {
-                                                                                                                        
+                                                                                                                                        
             }
-                                                                                                                    
+                                                                                                                                    
             function Survey(title, id)
             {
@@ -72,29 +72,18 @@
                 this.id = id;
             }
-                                                                                                                    
+                                                                                                                                    
             // =============================================================
-                                                                                                                    
+                                                                                                                                    
             function addSurvey() {
-                var surveyList = document.createElement("select");
-                surveyList.size = 1000;
-                surveyList.style.height = "10em";
-                surveyList.style.width = "15em";
-                                                
-                for (var i = 0; i < surveys.length; i++) 
-                {
-                    var option = document.createElement("option");
-                    option.setAttribute("value", surveys[i].id);
-                    option.innerHTML = surveys[i].title;
-                    surveyList.appendChild(option);
-                }
-
-                                                
-
-                var sessionCreation = document.getElementById("sessionCreationForm");
-                var pipelineOptions = document.getElementById("pipelineOptions");
-                                                                                                                        
-                sessionCreation.replaceChild(surveyList, pipelineOptions);
+                var pipeline = document.getElementById("pipeline");
+                var surveysList = document.getElementById("surveysList");
+                                
+                var entry = document.createElement("option");
+                entry.setAttribute("value", surveys[surveysList.selectedIndex].id);
+                entry.innerHTML = surveys[surveysList.selectedIndex].title;
+                        
+                pipeline.appendChild(entry);
             }
-                                                                                                                            
+                                                                                                                                            
         </script>
         <?php
@@ -135,9 +124,15 @@
             <div id="surveysForPipelineWrapper">
                 <h2 class="pipelineHead">Surveys</h2>
-                <?php $this->surveysSelect(); ?>
+                <?php
+                $this->surveysSelect();
+                $this->addSurveyToPipelineButton()
+                ?>
             </div>
             <div id="applicationsForPipelineWrapper">
                 <h2 class="pipelineHead">Applications</h2>
-                <?php $this->applicationsSelect(); ?>
+                <?php
+                $this->applicationsSelect();
+                $this->addApplicationToPipelineButton();
+                ?>
             </div>
         </div>
@@ -155,5 +150,5 @@
     private function surveysSelect() {
         ?>
-        <select size="5" class="width100p">
+        <select id="surveysList" size="5" class="width100p">
             <?php
             foreach ($this->surveys as $survey) {
@@ -178,5 +173,5 @@
     private function addSurveyToPipelineButton() {
         ?>
-        <input type="button" id="surveyToPipeline" class="surveyButton pipelineButton leftAlign leftPadding1" value="+ Survey" onclick="addSurvey()"/>
+        <input type="button" id="surveyToPipeline" class="surveyButton pipelineButton leftAlign leftPadding1" value="<=====" onclick="addSurvey()"/>
         <?php
     }
@@ -184,5 +179,5 @@
     private function addApplicationToPipelineButton() {
         ?>
-        <input type="button" class="surveyButton pipelineButton leftAlign leftPadding1" value="+ Application" />
+        <input type="button" class="surveyButton pipelineButton leftAlign leftPadding1" value="<=====" />
         <?php
     }
Index: /Dev/trunk/css/awesome.css
===================================================================
--- /Dev/trunk/css/awesome.css	(revision 65)
+++ /Dev/trunk/css/awesome.css	(revision 66)
@@ -417,5 +417,5 @@
 
 .pipelineButton {
-    width: 15em;
+    
 }
 
Index: /Dev/trunk/js/creation.js
===================================================================
--- /Dev/trunk/js/creation.js	(revision 65)
+++ /Dev/trunk/js/creation.js	(revision 66)
@@ -9,5 +9,7 @@
             || input.value == "Untitled Question"
             || input.value == "Untitled Session"
-            || input.value == "Write a description for this session here."))
+            || input.value == "Write a description for this session here."
+            || input.value == "Untitled Application"
+            || input.value == "Write a description for this application here."))
             {
         input.value = "";
@@ -39,4 +41,12 @@
             input.value = "Write a description for this session here.";
         }
+        else if (input.id == "applicationTitle")
+        {
+            input.value = "Untitled Application";
+        }
+        else if (input.id == "applicationDescription")
+        {
+            input.value = "Write a description for this application here.";
+        }
             
     }                           