Index: Dev/trunk/classes/SessionCreationTool.php
===================================================================
--- Dev/trunk/classes/SessionCreationTool.php	(revision 66)
+++ Dev/trunk/classes/SessionCreationTool.php	(revision 67)
@@ -42,12 +42,12 @@
         <script type="text/javascript">
             var surveys = new Array();
-                                                                                                                                    
+                                                                                                                                            
             init();
-                                                                                                                                                
+                                                                                                                                                        
             function init() {
                 loadSurveys();
                 loadApplications();
             }
-                                                                                                                                                
+                                                                                                                                                        
             function loadSurveys() {
         <?php
@@ -62,9 +62,9 @@
         ?>
             }
-                                                                                                                                    
+                                                                                                                                            
             function loadApplications() {
-                                                                                                                                        
-            }
-                                                                                                                                    
+                                                                                                                                                
+            }
+                                                                                                                                            
             function Survey(title, id)
             {
@@ -72,18 +72,32 @@
                 this.id = id;
             }
-                                                                                                                                    
+                                                                                                                                            
             // =============================================================
-                                                                                                                                    
+                                                                                                                                            
             function addSurvey() {
                 var pipeline = document.getElementById("pipeline");
                 var surveysList = document.getElementById("surveysList");
-                                
+                                        
                 var entry = document.createElement("option");
                 entry.setAttribute("value", surveys[surveysList.selectedIndex].id);
+                entry.style.backgroundColor = "#88c5e4";
                 entry.innerHTML = surveys[surveysList.selectedIndex].title;
+                                
+                pipeline.appendChild(entry);
+            }
+                    
+            function addDashboard() {
+                var pipeline = document.getElementById("pipeline");
+                        
+                var entry = document.createElement("option");
+                entry.setAttribute("value", "dashboard");
+                entry.style.backgroundColor = "#555";
+                entry.style.color = "white";
+                entry.innerHTML = "Dashboard";
+                
                         
                 pipeline.appendChild(entry);
             }
-                                                                                                                                            
+                                                                                                                                                    
         </script>
         <?php
@@ -142,5 +156,5 @@
     private function pipelineSelect() {
         ?>
-        <select id="pipeline" size="5">
+        <select id="pipeline" size="1000">
 
         </select>
@@ -166,5 +180,5 @@
     private function applicationsSelect() {
         ?>
-        <select size="5" class="width100p">
+        <select id="applicationsList" size="5" class="width100p">
         </select>
         <?php
@@ -185,5 +199,5 @@
     private function addDashboardToPipelineButton() {
         ?>
-        <input type="button" class="surveyButton nextLine pipelineButton leftAlign leftPadding1" value="+ Dashboard" />
+        <input type="button" class="surveyButton nextLine pipelineButton leftAlign leftPadding1" value="+ Dashboard" onclick="addDashboard()"/>
         <?php
     }