Index: Dev/trunk/classes/ApplicationCreationTool.php
===================================================================
--- Dev/trunk/classes/ApplicationCreationTool.php	(revision 67)
+++ Dev/trunk/classes/ApplicationCreationTool.php	(revision 68)
@@ -65,5 +65,5 @@
     private function done() {
         ?>
-        <input type="submit" class="surveyButton" value="Done" />
+        <input type="submit" class="surveyButton topRight" value="Done" />
         <?php
     }
Index: Dev/trunk/classes/SessionCreationTool.php
===================================================================
--- Dev/trunk/classes/SessionCreationTool.php	(revision 67)
+++ Dev/trunk/classes/SessionCreationTool.php	(revision 68)
@@ -17,8 +17,9 @@
 
         $this->javascript();
+        var_dump($_POST);
         ?>
 
         <div class="creation">
-            <form id="sessionCreationForm" action="" method="post">
+            <form id="sessionCreationForm" action="" onsubmit="submitPipeline()" method="post">
                 <?php
                 $this->title();
@@ -41,13 +42,14 @@
         <script type="text/javascript" src="js/creation.js"></script>
         <script type="text/javascript">
+            var pipelineCount = 0;
             var surveys = new Array();
-                                                                                                                                            
+                            
             init();
-                                                                                                                                                        
+                                                                                                                                                                        
             function init() {
                 loadSurveys();
                 loadApplications();
             }
-                                                                                                                                                        
+                                                                                                                                                                        
             function loadSurveys() {
         <?php
@@ -62,9 +64,9 @@
         ?>
             }
-                                                                                                                                            
+                                                                                                                                                            
             function loadApplications() {
-                                                                                                                                                
-            }
-                                                                                                                                            
+                                                                                                                                                                
+            }
+                                                                                                                                                            
             function Survey(title, id)
             {
@@ -72,32 +74,54 @@
                 this.id = id;
             }
-                                                                                                                                            
+                                                                                                                                                            
             // =============================================================
-                                                                                                                                            
+                                                                                                                                                            
             function addSurvey() {
+                pipelineCount++;
+                                
                 var pipeline = document.getElementById("pipeline");
                 var surveysList = document.getElementById("surveysList");
-                                        
+                                                        
                 var entry = document.createElement("option");
                 entry.setAttribute("value", surveys[surveysList.selectedIndex].id);
-                entry.style.backgroundColor = "#88c5e4";
-                entry.innerHTML = surveys[surveysList.selectedIndex].title;
-                                
+                entry.style.backgroundColor = "#0090ac";
+                entry.innerHTML = pipelineCount + ". " + surveys[surveysList.selectedIndex].title;
+                entry.name = pipelineCount + "s";
+                                                
                 pipeline.appendChild(entry);
             }
-                    
+                                    
             function addDashboard() {
+                pipelineCount++;
                 var pipeline = document.getElementById("pipeline");
-                        
+                                        
                 var entry = document.createElement("option");
                 entry.setAttribute("value", "dashboard");
                 entry.style.backgroundColor = "#555";
                 entry.style.color = "white";
-                entry.innerHTML = "Dashboard";
-                
+                entry.innerHTML = pipelineCount + ". " + "Dashboard";
+                entry.name = pipelineCount + "d";
+                                        
+                pipeline.appendChild(entry);
+            }
+                                                     
+            function submitPipeline()
+            {
+                var form = document.getElementById("sessionCreationForm");
                         
-                pipeline.appendChild(entry);
-            }
-                                                                                                                                                    
+                var pipeline = document.getElementById("pipeline").options;
+                               
+                                
+                for (var i = 0; i < pipeline.length; i++)
+                {
+                    var pipelineElem = document.createElement("input");
+                    pipelineElem.name = pipeline[i].name;
+                    pipelineElem.value = pipeline[i].value;
+                    pipelineElem.type = "hidden";
+                            
+                    form.appendChild(pipelineElem);
+                }
+                                
+            }
         </script>
         <?php
@@ -205,5 +229,5 @@
     private function makeSessionButton() {
         ?>
-        <input type="submit" id="makeSessionButton" class="surveyButton" value="Make session" />
+        <input type="submit" id="makeSessionButton" class="topRight surveyButton" value="Make session" />
         <?php
     }
Index: Dev/trunk/classes/SurveyCreationTool.php
===================================================================
--- Dev/trunk/classes/SurveyCreationTool.php	(revision 67)
+++ Dev/trunk/classes/SurveyCreationTool.php	(revision 68)
@@ -15,5 +15,5 @@
         $this->survey = $survey;
         $this->timeStamp = $timeStamp;
-
+var_dump($_POST);
         if (isset($this->survey->id))
             SurveyCreationTool::javascript($this->survey->id);