Index: /Dev/trunk/applicationcreation.php
===================================================================
--- /Dev/trunk/applicationcreation.php	(revision 74)
+++ /Dev/trunk/applicationcreation.php	(revision 75)
@@ -4,4 +4,16 @@
 if (is_null($_SESSION['username']))
     redirect('index.php');
+
+$application = null;
+
+/* TODO: Bas! Dit aanpassen zodat application wordt opgeslagen. */
+if(!empty($_POST))
+{
+	$title = $_POST['applicationTitle'];
+	$description = $_POST['applicationDescription'];
+	$application = new Application($title, $description);
+	var_dump($application);
+}
+
 ?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
@@ -22,5 +34,5 @@
             <div id="content">
                 <?php
-                    new ApplicationCreationTool();
+                    new ApplicationCreationTool($application);
                 ?>
             </div>
Index: /Dev/trunk/classes/Application.php
===================================================================
--- /Dev/trunk/classes/Application.php	(revision 74)
+++ /Dev/trunk/classes/Application.php	(revision 75)
@@ -7,11 +7,12 @@
  */
 class Application {
+    public $title;
+    public $description;
+    public $style;
 
-    private $title;
-    private $description;
-    private $style;
-
-    public function __construct() {
-        
+    public function __construct($title = null, $description = null, $style = null) {
+        $this->title = $title;
+		$this->description = $description;
+		$this->style = $style;
     }
 
Index: /Dev/trunk/classes/ApplicationCreationTool.php
===================================================================
--- /Dev/trunk/classes/ApplicationCreationTool.php	(revision 74)
+++ /Dev/trunk/classes/ApplicationCreationTool.php	(revision 75)
@@ -10,63 +10,71 @@
  * @author fpvanagthoven
  */
-class ApplicationCreationTool {
+class ApplicationCreationTool
+{
+	private $application;
 
-    private $application;
+	public function __construct($application = null)
+	{
+		$this->application = $application;
 
-    public function __construct($application = null) {
-        $this->application = $application;
-        
-        $this->javascript();
-        if(!empty($_POST))
-            redirect('mainmenu.php');
-        ?>
-        <div class="creation">
-            <form id="applicationCreationForm" action="" method="post">
-                <?php
-                $this->title();
-                $this->description();
-                
-                $this->done();
-                ?>
-            </form>
-        </div>
-        <?php
-    }
-    
-    private function javascript() {
-        ?>
-        <script type="text/javascript" src="js/creation.js"></script>
-        <script language="JavaScript" type="text/javascript">
+		$this->javascript();
 
-        </script>
-        <?php
-    }
+		$this->init();
+	}
 
-    private function title() {
-        if (isset($this->application->title))
-            $value = $this->application->title;
-        else
-            $value = 'Untitled Application';
-        ?>
-        <input type="text" id="applicationTitle" class="titleBox" name="applicationTitle" value="<?php echo str_replace("\"", "&quot;", $value); ?>" onblur="handleBlur(this)" onfocus="handleFocus(this)" />
-        <?php
-    }
+	private function javascript()
+	{
+		?>
+		<script type="text/javascript" src="js/creation.js"></script>
+		<script language="JavaScript" type="text/javascript">
 
-    private function description() {
-        if (isset($this->application->description))
-            $value = $this->application->description;
-        else
-            $value = 'Write a description for this application here.';
-        ?>
-        <textarea id="applicationDescription" class="descriptionBox" name="applicationDescription" onblur="handleBlur(this)" onfocus="handleFocus(this)"><?php echo $value; ?></textarea>
-        <?php
-    }
-    
-    private function done() {
-        ?>
-        <input type="submit" class="surveyButton topRight" value="Done" />
-        <?php
-    }
+		</script>
+		<?php
+	}
 
+	private function init()
+	{
+		?>
+		<div class="creation">
+			<form id="applicationCreationForm" action="" method="post">
+				<?php
+				$this->title();
+				$this->description();
+
+				$this->done();
+				?>
+			</form>
+		</div>
+		<?php
+	}
+
+	private function title()
+	{
+		if (isset($this->application->title))
+			$value = $this->application->title;
+		else
+			$value = 'Untitled Application';
+		?>
+		<input type="text" id="applicationTitle" class="titleBox" name="applicationTitle" value="<?php echo str_replace("\"", "&quot;", $value); ?>" onblur="handleBlur(this)" onfocus="handleFocus(this)" />
+		<?php
+	}
+
+	private function description()
+	{
+		if (isset($this->application->description))
+			$value = $this->application->description;
+		else
+			$value = 'Write a description for this application here.';
+		?>
+		<textarea id="applicationDescription" class="descriptionBox" name="applicationDescription" onblur="handleBlur(this)" onfocus="handleFocus(this)"><?php echo $value; ?></textarea>
+		<?php
+	}
+
+	private function done()
+	{
+		?>
+		<input type="submit" class="surveyButton topRight" value="Done" />
+		<?php
+	}
 }
 ?>
Index: /Dev/trunk/classes/DashboardTool.php
===================================================================
--- /Dev/trunk/classes/DashboardTool.php	(revision 75)
+++ /Dev/trunk/classes/DashboardTool.php	(revision 75)
@@ -0,0 +1,62 @@
+<?php
+
+/**
+ * Description of DashboardTool
+ *
+ * @author Frans
+ */
+class DashboardTool
+{
+	private $surveys;
+
+	public function __construct($surveys)
+	{
+		$this->surveys = $surveys;
+
+		$this->init();
+	}
+
+	private function init()
+	{
+		foreach ($this->surveys as $survey)
+		{
+			$surveyResults = $survey->results;
+			$questionResults = $surveyResults->getQuestionResults();
+			?>
+			<div class="resultsDiv borderRadius padding1em">
+				<?php
+				foreach ($questionResults as $questionResult)
+				{
+					$this->visualizeResult($questionResult);
+				}
+				?>
+			</div>
+			<?php
+		}
+	}
+
+	private function visualizeResult($questionResult)
+	{
+		?><div class="resultDiv"><?php
+		$this->displayQuestion($questionResult);
+		$this->displayVisualization($questionResult);
+		$this->displayChangeVisualizationBar();
+		?></div><?php
+	}
+	
+	private function displayQuestion($questionResult)
+	{
+		echo "allo?";
+	}
+	
+	private function displayVisualization($questionResult)
+	{
+		
+	}
+	
+	private function displayChangeVisualizationBar()
+	{
+		
+	}
+}
+?>
Index: /Dev/trunk/classes/Survey.php
===================================================================
--- /Dev/trunk/classes/Survey.php	(revision 74)
+++ /Dev/trunk/classes/Survey.php	(revision 75)
@@ -16,4 +16,6 @@
     public $description;
     public $questions;
+	
+	public $results;
 
     public function __construct($id, $title, $description = null) {
@@ -22,5 +24,17 @@
         $this->description = $description;
         $this->questions = array();
+		
+		$this->results = null;
     }
+	
+	public function addQuestion($question)
+	{
+		array_push($this->questions, $question);
+	}
+	
+	public function setResults($surveyResults)
+	{
+		$this->results = $surveyResults;
+	}
 
     public static function getSurvey($info) {
@@ -56,4 +70,13 @@
         return $survey;
     }
+	
+	/**
+	 * TODO: Should return Results-object from reading RDF-database
+	 * @param type $surveyID 
+	 */
+	public static function getResults($surveyID)
+	{
+		
+	}
 
 }
Index: /Dev/trunk/classes/SurveyResults.php
===================================================================
--- /Dev/trunk/classes/SurveyResults.php	(revision 75)
+++ /Dev/trunk/classes/SurveyResults.php	(revision 75)
@@ -0,0 +1,54 @@
+<?php
+
+class ResultType
+{
+	/* possible types */
+	const TEXT = 0;				// string
+	const INTEGER = 1;			// int
+	const MULTIPLE_CHOICE = 2;  // string
+	const CHECKBOXES = 3;		// array
+	const SCALE = 4;			// int
+}
+
+/**
+ * 1 Results per Survey
+ *
+ * @author Frans
+ */
+class SurveyResults
+{
+	private $questionResults; 
+
+	public function __construct()
+	{
+		$this->questionResults = array();
+	}
+
+	public function addQuestionResult($result)
+	{
+		array_push($this->questionResults, $result);
+	}
+	
+	public function getQuestionResults()
+	{
+		return $this->questionResults;
+	}
+	
+}
+
+/**
+ * A Result per question
+ */
+class QuestionResult
+{
+	private $type;
+	private $answers; // array
+
+	public function __construct($type, $answers)
+	{
+		$this->type = $type;
+		$this->answers = $answers;
+	}
+}
+
+?>
Index: /Dev/trunk/css/awesome.css
===================================================================
--- /Dev/trunk/css/awesome.css	(revision 74)
+++ /Dev/trunk/css/awesome.css	(revision 75)
@@ -326,4 +326,8 @@
 }
 
+.padding1em {
+	padding: 1em;
+}
+
 .topMargin {
     margin-top: 2em;
@@ -402,4 +406,15 @@
 }
 
+.borderRadius {
+	-moz-border-radius: 15px;
+    border-radius: 15px;
+}
+
+.boxShadow {
+	-moz-box-shadow: 2px 2px 2px #888;
+    -webkit-box-shadow: 2px 2px 2px #888;
+    box-shadow: 2px 2px 2px #888;
+}
+
 /* ################################################################## 
    ===================== STYLESHEET OF GLORY ======================== */
@@ -451,2 +466,18 @@
     width: 50%;
 }
+
+/* ################################################################## 
+   ===================== STYLESHEET OF GLORY ======================== */
+.resultsDiv {
+	height: 10em;
+	border: 1px solid white;
+}
+
+.resultDiv {
+	width: 10em;
+	height: 10em;
+	border: 1px solid white;
+	background-color: #c6c6c6;
+	float: left;
+	margin-left: 2em;
+}
Index: /Dev/trunk/dashboard.php
===================================================================
--- /Dev/trunk/dashboard.php	(revision 74)
+++ /Dev/trunk/dashboard.php	(revision 75)
@@ -3,5 +3,36 @@
 
 if (is_null($_SESSION['username']))
-    redirect('index.php');
+	redirect('index.php');
+
+/* MOCK SURVEY */
+
+$survey = new Survey('ultimateid', 'The Epic Survey');
+$question1 = new Question('question1id', 'Age', 'int', 'What is your age?');
+$question2 = new Question('question2id', 'Identity', 'mc', 'Are you freakazoid?');
+$question2->answers = array('yes', 'no', 'maybe');
+
+$survey->addQuestion($question1);
+$survey->addQuestion($question2);
+
+/* MOCK RESULTS */
+
+
+$survey1Results = new SurveyResults();
+
+$question1Answers = array(3, 5, 12, 134, 5, 40); // int
+$question2Answers = array('yes', 'no', 'no', 'yes', 'maybe', 'no');	// Multiple choice
+
+$question1Result = new QuestionResult(ResultType::INTEGER, $question1Answers);
+$question2Result = new QuestionResult(ResultType::MULTIPLE_CHOICE, $question2Answers);
+
+$survey1Results->addQuestionResult($question1Result);
+$survey1Results->addQuestionResult($question2Result);
+
+/*  COMBINE */
+
+$survey->setResults($survey1Results);
+
+$surveys = array($survey);
+
 ?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
@@ -12,15 +43,15 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
             <title></title>
-            <?php new StyleSheet(); ?>
+			<?php new StyleSheet(); ?>
+			<script type="text/javascript" src="d3/d3.js"></script>
     </head>
     <body>
         <div id="header">
-            <?php new Logo(); ?>
+			<?php new Logo(); ?>
         </div>
         <div id="wrapper">
 
             <div id="content">
-                <?php
-                ?>
+				<?php new DashboardTool($surveys); ?>
             </div>
         </div>
Index: /Dev/trunk/mainmenu.php
===================================================================
--- /Dev/trunk/mainmenu.php	(revision 74)
+++ /Dev/trunk/mainmenu.php	(revision 75)
@@ -24,4 +24,5 @@
 
 $surveys = Loader::loadSurveys();
+
 ?>
 