Index: Dev/trunk/data/surveys/survey_79c98f73ea0d624440430af1e04eaedf.rdf
===================================================================
--- Dev/trunk/data/surveys/survey_79c98f73ea0d624440430af1e04eaedf.rdf	(revision 76)
+++ Dev/trunk/data/surveys/survey_79c98f73ea0d624440430af1e04eaedf.rdf	(revision 76)
@@ -0,0 +1,62 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://www.survey.tool/predicates/">
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/survey/79c98f73ea0d624440430af1e04eaedf">
+   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/survey"/>
+   <ns1:uid>79c98f73ea0d624440430af1e04eaedf</ns1:uid>
+   <ns1:title>A survey</ns1:title>
+   <ns1:description>Yes...</ns1:description>
+   <ns1:creator rdf:resource="http://www.survey.tool/resources/user/Creator"/>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/question/934b259ec25d99d245a0936c38593781">
+   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/question"/>
+   <ns1:uid>934b259ec25d99d245a0936c38593781</ns1:uid>
+   <ns1:title>It's called awesome</ns1:title>
+   <ns1:description>So what's it called?</ns1:description>
+   <ns1:question_type>mc</ns1:question_type>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/answer/cc0e95f621c9c174769ccc8e74ba4e61">
+   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
+   <ns1:uid>cc0e95f621c9c174769ccc8e74ba4e61</ns1:uid>
+   <ns1:title>q1ans1</ns1:title>
+   <ns1:description>James</ns1:description>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/question/934b259ec25d99d245a0936c38593781">
+   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/cc0e95f621c9c174769ccc8e74ba4e61"/>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/answer/3727f4cb541a95f2286cb66c597cdb85">
+   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
+   <ns1:uid>3727f4cb541a95f2286cb66c597cdb85</ns1:uid>
+   <ns1:title>q1ans2</ns1:title>
+   <ns1:description>Awesome</ns1:description>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/question/934b259ec25d99d245a0936c38593781">
+   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/3727f4cb541a95f2286cb66c597cdb85"/>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/answer/2b2b3605488bd83155e3994ad3ff4800">
+   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/answer"/>
+   <ns1:uid>2b2b3605488bd83155e3994ad3ff4800</ns1:uid>
+   <ns1:title>q1ans3</ns1:title>
+   <ns1:description>Sha' naynay</ns1:description>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/question/934b259ec25d99d245a0936c38593781">
+   <ns1:has_answer rdf:resource="http://www.survey.tool/resources/answer/2b2b3605488bd83155e3994ad3ff4800"/>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/survey/79c98f73ea0d624440430af1e04eaedf">
+   <ns1:has_question rdf:resource="http://www.survey.tool/resources/question/934b259ec25d99d245a0936c38593781"/>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/trunk/data/users/users.rdf
===================================================================
--- Dev/trunk/data/users/users.rdf	(revision 76)
+++ Dev/trunk/data/users/users.rdf	(revision 76)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://www.survey.tool/predicates/">
+
+<rdf:Description rdf:about="http://www.survey.tool/resources/user/b45804a8696456b33f3d19f80bf3c198">
+   <ns1:resource_type rdf:resource="http://www.survey.tool/resources/user"/>
+   <ns1:name>frans</ns1:name>
+   <ns1:uid>b45804a8696456b33f3d19f80bf3c198</ns1:uid>
+   <ns1:password>YrNByNHxZwPoreIjW3lpAgeMg+J6kYBdl53uBCsHRKo=</ns1:password>
+</rdf:Description>
+
+</rdf:RDF>